This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 199929 - Cannot trigger input method within rhythmbox
Cannot trigger input method within rhythmbox
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-24 09:11 EDT by Yijun Yuan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 12:02:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yijun Yuan 2006-07-24 09:11:09 EDT
Description of problem:
When enter a search filter, the key strokes to enable SCIM is ctrl-space. But
when space bar is hit, rhythmbox pause/cont. playing.
SCIM could also be triggered by ctrl-shift, though.

Version-Release number of selected component (if applicable):
0.9.5-2

How reproducible:
everytime.

Steps to Reproduce:
1. open rhythmbox in normal mode
2. set focus to search dialog and press ctrl-space to enable SCIM
3.
  
Actual results:
Music pauses/continues.


Expected results:
SCIM is enabled and we can input some search filter.

Additional info:
Comment 1 Bastien Nocera 2007-01-30 18:20:30 EST
That should be fairly straight-forward to fix, but would need to be done
upstream. What's an easy way to test this for people who don't have SCIM
installed/setup?
Comment 2 Yijun Yuan 2007-01-30 20:01:39 EST
I don't know how to test without SCIM or any other input method that use
"ctrl-space" trigger keys. I don't expect a fix. :(
Comment 3 Bastien Nocera 2007-01-31 05:21:24 EST
(In reply to comment #2)
> I don't know how to test without SCIM or any other input method that use
> "ctrl-space" trigger keys. I don't expect a fix. :(

That's not the question. How do we setup SCIM if it's not already installed?
Comment 4 Yijun Yuan 2007-01-31 05:30:12 EST
> 
> That's not the question. How do we setup SCIM if it's not already installed?

Thanks. SCIM is in extras for fc4, and in core for fc5/6. so just run

yum install scim scim-pinyin im-chooser

Run "im-chooser" after finished. Choose default input method to be SCIM, then
SCIM will take effect in the next login.
Comment 5 Bastien Nocera 2007-01-31 12:02:05 EST
I'll let upstream decide as to the best course of action:
http://bugzilla.gnome.org/show_bug.cgi?id=402882

Note You need to log in before you can comment on or make changes to this bug.